%define	oname	igal

Name:		igal2
Version:	3.2
Release:	%mkrel 1
Summary:	Easy and flexible online Image GALlery generator
License:	GPLv2+
Group:		Text tools
URL:		https://github.com/solbu/igal2
Source0:	https://github.com/solbu/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

%rename		%{oname}

Requires:	perl
Requires:	ImageMagick
Recommends:	ffmpeg

%description
Igal2 is a quick, easy and flexible program meant to help you place your
digital images online. It generates a pretty good-looking set of HTML
slides even with its default settings -- which can otherwise be easily
changed with a good number of command-line options or by altering igal2's
HTML and CSS template files.


%prep
%setup -q

%build

%install
%make_install PREFIX=/usr

rm -f %{buildroot}%{_datadir}/%{name}/{README,ChangeLog,COPYING}
install -m 755 utilities/igal2-recursive.sh %{buildroot}%{_bindir}

%files
%doc ChangeLog
%{_bindir}/%{oname}
%{_bindir}/%{name}
%{_bindir}/%{name}.sh
%{_bindir}/%{name}-recursive.sh
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/%{name}.1*
%license COPYING


%changelog
* Sat Jun 29 2024 solbu <solbu> 3.2-1.mga10
+ Revision: 2078025
- New version: 3.2
- Fix license tag

* Mon Mar 21 2022 umeabot <umeabot> 3.1-2.mga9
+ Revision: 1815579
- Mageia 9 Mass Rebuild

* Thu Nov 18 2021 solbu <solbu> 3.1-1.mga9
+ Revision: 1757634
- New release: 3.1

* Thu Nov 18 2021 solbu <solbu> 3.0-1.mga9
+ Revision: 1757624
- New release: 3.0

* Sun Nov 29 2020 solbu <solbu> 2.4-1.mga8
+ Revision: 1650049
- New version: 2.4

* Tue Feb 18 2020 umeabot <umeabot> 2.3-2.mga8
+ Revision: 1538594
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 solbu <solbu> 2.3-1.mga8
+ Revision: 1462526
- New version: 2.3
- Drop patches: Merged upstream
- New upstream, update URLs

* Sat Nov 02 2019 solbu <solbu> 2.2-3.mga8
+ Revision: 1457316
- Generate mobile-friendly pages

* Thu Sep 20 2018 umeabot <umeabot> 2.2-2.mga7
+ Revision: 1278867
- Mageia 7 Mass Rebuild

* Thu May 17 2018 daviddavid <daviddavid> 2.2-1.mga7
+ Revision: 1229963
- new version: 2.2

* Mon Feb 08 2016 umeabot <umeabot> 2.1-6.mga6
+ Revision: 942720
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1-5.mga5
+ Revision: 740743
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1-4.mga5
+ Revision: 680474
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1-3.mga4
+ Revision: 505987
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.1-2.mga3
+ Revision: 354278
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 01 2012 solbu <solbu> 2.1-1.mga3
+ Revision: 265848
- Rename patches, according to policy
- New version
- Fix licence
- README contains install instruction, so we'll drop it.
- Docs are installed in the wrong place, moving to correct location

* Tue Dec 06 2011 shlomif <shlomif> 2.0-1.mga2
+ Revision: 177408
- imported package igal2

